#include <iostream>
#include <cmath>
#include <vector>
#include <algorithm>
#include <cstdio>

#define MAX 300001

int a[MAX] = {0, 3, 4, 1, 1, 4}, b[MAX] = { 0 };

int FindMaxMen(int *b, int n)
{
  if (b != nullptr)
  {
    int max = b[0];

    for (int i = 0; i < n; i++)
      if (b[i] > b[max])
        max = i;

    return max;
  }

  return -1;
}
int main(void)
{
  int n = 5;

  std::cin >> n;

  for (int i = 1; i < n + 1; i++)
  {
    scanf("%d", &a[i]);
    if (a[i] >= 0)
      b[a[i]]++;
  }

  int max = FindMaxMen(&b[1], n) + 1;

  while (b[max] > 1)
  {
    a[max] = 0;
    b[max] = 0;
    for (int i = 1; i < n + 1; i++)
      if (a[i] == max)
        a[i] = -1;
    max = FindMaxMen(&b[1], n) + 1;
  }

  int res = 0;
  for (int i = 1; i < n + 1; i++)
    res += (a[i] == -1);

  std::cout << res;
  return 0;
}
